org.gradle.api.tasks

## Class Upload

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.internal.ConventionTask
      - - org.gradle.api.tasks.Upload

- All Implemented Interfaces:
    Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, ExtensionAware, Task, org.gradle.util.Configurable<Task>

      public class Upload
      extends org.gradle.api.internal.ConventionTask

  Uploads the artifacts of a `Configuration` to a set of repositories.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Upload()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FileCollection` | `getArtifacts()` Returns the artifacts which will be uploaded.
    `Configuration` | `getConfiguration()` Returns the configuration to upload.
    `File` | `getDescriptorDestination()` Returns the path to generate the dependency descriptor to.
    `protected org.gradle.api.internal.artifacts.ArtifactPublicationServices` | `getPublicationServices()`
    `RepositoryHandler` | `getRepositories()` Returns the repositories to upload to.
    `boolean` | `isUploadDescriptor()` Specifies whether the dependency descriptor should be uploaded.
    `RepositoryHandler` | `repositories(Closure configureClosure)` Configures the set of repositories to upload to.
    `void` | `setConfiguration(Configuration configuration)`
    `void` | `setDescriptorDestination(File descriptorDestination)`
    `void` | `setUploadDescriptor(boolean uploadDescriptor)`
    `protected void` | `upload()`

    - ### Methods inherited from class org.gradle.api.internal.ConventionTask

      `conventionMapping, conventionMapping, getConventionMapping`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doLast, doLast, execute, finalizedBy, getActionClassLoaders, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Upload

          public Upload()

  - ### Method Detail

    - #### getPublicationServices

          @Inject
          protected org.gradle.api.internal.artifacts.ArtifactPublicationServices getPublicationServices()

    - #### upload

          protected void upload()

    - #### isUploadDescriptor

          @Input
          public boolean isUploadDescriptor()

      Specifies whether the dependency descriptor should be uploaded.

    - #### setUploadDescriptor

          public void setUploadDescriptor(boolean uploadDescriptor)

    - #### getDescriptorDestination

          @Internal
          public File getDescriptorDestination()

      Returns the path to generate the dependency descriptor to.

    - #### setDescriptorDestination

          public void setDescriptorDestination(File descriptorDestination)

    - #### getRepositories

          @Internal
          public RepositoryHandler getRepositories()

      Returns the repositories to upload to.

    - #### getConfiguration

          @Internal
          public Configuration getConfiguration()

      Returns the configuration to upload.

    - #### setConfiguration

          public void setConfiguration(Configuration configuration)

    - #### repositories

          public RepositoryHandler repositories(Closure configureClosure)

      Configures the set of repositories to upload to.

    - #### getArtifacts

          @InputFiles
          public FileCollection getArtifacts()

      Returns the artifacts which will be uploaded.
      Returns:
        the artifacts.